<main class="container">
  <div class="container">
    <app-search (searchQuery)="search($event)"></app-search>
  </div>
  <div class="d-flex justify-content-between flex-wrap" *ngIf="books.length; else noBooks">
    <mat-card class="book-card" *ngFor="let book of books">
      <mat-card-title>{{book.title}}</mat-card-title>
      <mat-card-subtitle>{{book.writing_date | date}}</mat-card-subtitle>
      <mat-card-content>
        <p class="card-description">{{book.description}}</p>
        <p>{{book.price | currency}}</p>
      </mat-card-content>
      <mat-card-actions>
        <button mat-flat-button color="primary" [routerLink]="['/books/', book.id]" >Edit</button>
        <button class="secondary-btn" mat-flat-button color="warn">Delete</button>
      </mat-card-actions>
  
    </mat-card>
  </div>
  <ng-template #noBooks>
    <div class="container">No books found</div>
  </ng-template>
  <div *ngIf="loading" class="d-flex justify-content-center">
    <mat-spinner></mat-spinner>
  </div>
  <div *ngIf="meta && books.length" class="w-100 d-flex justify-content-center">
    <app-pagination (currentPage)="changePage($event)" [page]="meta.page" [pages]="meta.pages"></app-pagination>
  </div>
</main>